Bug 151717 - [NEW PORT] deskutils/x026: IBM 026 Keypunch Emulator for the X Window System
Summary: [NEW PORT] deskutils/x026: IBM 026 Keypunch Emulator for the X Window System
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-25 16:00 UTC by Marcin Cieślak
Modified: 2010-11-12 10:20 UTC (History)
0 users

See Also:


Attachments
x026-1.2.shar (2.08 KB, text/plain)
2010-10-25 16:00 UTC, Marcin Cieślak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2010-10-25 16:00:21 UTC
IBM 026 Keypunch Emulator for the X Window System.

 * Requires slow, deliberate typing or input will be lost
  (typeahead can be enabled if you insist)
 * Overpunches available by backspacing or holding down Alt or Meta
 * Tab set for FORTRAN
 * Automatic sequence numbers in columns 73-80 (can be disabled)
 * Paste X11 selection with middle mouse button
 * Can save deck in file, either in ASCII or in Douglas Jones's standard format
 * Can select from several card and keypunch types

WWW:	http://x3270.bgp.nu/x026.html

Generated with FreeBSD Port Tools 0.77
Comment 1 Max Brazhnikov freebsd_committer 2010-11-01 19:43:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2010-11-04 12:05:01 UTC
State Changed
From-To: open->feedback

Fails to build: http://people.freebsd.org/~makc/tb/x026-1.2.log , could 
you look at it?
Comment 3 Marcin Cieślak 2010-11-04 13:25:20 UTC
On Thu, 4 Nov 2010, makc@FreeBSD.org wrote:

> Synopsis: [NEW PORT] deskutils/x026: IBM 026 Keypunch Emulator for the X Window System
>
> State-Changed-From-To: open->feedback
> State-Changed-By: makc
> State-Changed-When: Thu Nov 4 12:05:01 UTC 2010
> State-Changed-Why:
> Fails to build: http://people.freebsd.org/~makc/tb/x026-1.2.log , could
> you look at it?
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=151717

I am sorry, can you try adding USE_XLIB=	yes after USE_IMAKE=yes ?

//Marcin
Comment 4 dfilter service freebsd_committer 2010-11-12 10:19:10 UTC
makc        2010-11-12 10:19:04 UTC

  FreeBSD ports repository

  Added files:
    deskutils/x026       Makefile distinfo pkg-descr 
  Log:
  Add new port deskutils/x026:
  
  IBM 026 Keypunch Emulator for the X Window System.
  
   * Requires slow, deliberate typing or input will be lost
    (typeahead can be enabled if you insist)
   * Overpunches available by backspacing or holding down Alt or Meta
   * Tab set for FORTRAN
   * Automatic sequence numbers in columns 73-80 (can be disabled)
   * Paste X11 selection with middle mouse button
   * Can save deck in file, either in ASCII or in Douglas Jones's standard format
   * Can select from several card and keypunch types
  
  WWW:    http://x3270.bgp.nu/x026.html
  
  PR:             ports/151717
  Submitted by:   Marcin Cieslak <saper at saper.info>
  
  Revision  Changes    Path
  1.1       +23 -0     ports/deskutils/x026/Makefile (new)
  1.1       +2 -0      ports/deskutils/x026/distinfo (new)
  1.1       +12 -0     ports/deskutils/x026/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Max Brazhnikov freebsd_committer 2010-11-12 10:20:29 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!